// Copyright (c) 2023 Tudor Stanciu

export type TuitioConfiguration = { tuitioUrl: string | null };
export type TuitioReactState = {
  auth: {
    userName: string | null;
    token: string | null;
    validUntil: Date | null;
  };
  configuration: TuitioConfiguration;
};
export type TuitioDispatchActions = {
  onLoginSuccess: (token: string, validUntil: Date, userName: string) => void;
  onLogoutSuccess: () => void;
};
